
QGIS Application - Bug report #12659

Certain fonts don't work in Print Composer

2015-04-27 02:37 PM - Sarah van Vliet

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20771

Description

My team uses Clan Pro for our qgis work. We have about 10 different weights and styles of clan pro that we use.

It appears that each style and weight has only a certain range of font sizes that it will render in, and that that range varies between qgis

versions. 

I'm using 2.4.0, but i believe some of my team members are using different versions. 

We'll all use the same template, but our final products will look quite different in terms of fonts used.

History

#1 - 2015-06-03 01:41 PM - Jürgen Fischer

- Category set to Map Composer/Printing

#2 - 2015-06-15 02:43 AM - Nyall Dawson

- Status changed from Open to Closed

Likely fixed in commit:7a3a857. Please reopen if you still experience this issue after 2.10.

#3 - 2015-06-15 09:38 PM - Mathieu Pellerin - nIRV

Note: you will have to re-select the font(s) for composer items and save the project once that's done for the proper font style(s) to be picked up upon

project load.
